## pycsw 1.10.1+dfsg

=== requirements.txt ===
geolinks==0.0.1
lxml==3.3.5
OWSLib==0.8.8
pyproj==1.9.3
Shapely==1.3.1

=== debian/changelog ===
pycsw (1.10.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  
  [ Angelos Tzotsos ]
  * Fixed libxml < 2.9 XEE vulnerability.

  [ Bas Couwenberg ]
  * Include changes by Angelos from OSGeo-Live package.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jun 2015 15:36:06 +0200

pycsw (1.10.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.10.1+dfsg
  * Fix description (wsgi instead of cgi)
  * Update patches
  * Don't include external references to images

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sat, 20 Jun 2015 22:11:36 +0200

pycsw (1.10.0+dfsg-1) unstable; urgency=medium

  * Initial upload (closes: #762145), targeting non-free after ftp-masters
    comments

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sun, 07 Dec 2014 09:08:21 +0100

=== debian/control ===
Source: pycsw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
           Johan Van de Wauw <johan.vandewauw@gmail.com>
Section: non-free/python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-python,
               python-setuptools,
               python-all,
               python-sphinx,
               dh-apache2,
               apache2-dev,
               ruby-ronn
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pycsw.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/pycsw.git
Homepage: http://pycsw.org
X-Python-Version: >= 2.5

Package: python-pycsw
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python,
         python-lxml,
         python-shapely,
         python-pyproj,
         python-owslib,
         python-geolinks,
         python-tz
Recommends: python-pycsw-wsgi
Description: OGC compliant metadata (Catalogue service for the Web) server 
 pycsw is an OGC CSW server implementation written in Python. Started in 2010
 (more formally announced in 2011), pycsw allows for the publishing and
 discovery of geospatial metadata, providing a standards-based metadata and
 catalogue component of spatial data infrastructures. pycsw is Open Source,
 released under an MIT license, and runs on all major platforms (Windows, Linux,
 Mac OS X).
 .
 This package contains the necessary backend Python scripts for running
 the Apache mod_wsgi plugin (python-pycsw-wsgi).

Package: python-pycsw-wsgi
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python,
         python-sqlalchemy,
         python-pycsw (= ${binary:Version}),
         libapache2-mod-wsgi
Recommends: ${misc:Recommends}
Description: WSGI Apache CSW service based on python-pycsw
 pycsw is an OGC CSW server implementation written in Python. Started in 2010
 (more formally announced in 2011), pycsw allows for the publishing and
 discovery of geospatial metadata, providing a standards-based metadata and
 catalogue component of spatial data infrastructures. pycsw is Open Source,
 released under an MIT license, and runs on all major platforms (Windows, Linux,
 Mac OS X).
 .
 This package contains the Apache wsgi plugin (python-pycsw-wsgi).

Package: python-pycsw-doc
Architecture: all
Section: non-free/doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: OGC compliant metadata (Catalogue Service for the Web) server
 pycsw is an OGC CSW server implementation written in Python. Started in 2010
 (more formally announced in 2011), pycsw allows for the publishing and
 discovery of geospatial metadata, providing a standards-based metadata and
 catalogue component of spatial data infrastructures. pycsw is Open Source,
 released under an MIT license, and runs on all major platforms (Windows, Linux,
 Mac OS X).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@ --with python2,sphinxdoc,apache2 --buildsystem pybuild

override_dh_clean:
	dh_clean debian/man/pycsw-admin.1 \
		 debian/man/pycsw-admin.1.html

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	ronn debian/man/pycsw-admin.md

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/\+dfsg//  \
http://download.osgeo.org/pycsw/pycsw-(\d.*).tar.gz

## pycsw 2.0.0%2bdfsg

=== requirements.txt ===
geolinks==0.2.0
lxml>=3.3.5
OWSLib==0.10.3
pyproj==1.9.3
Shapely==1.3.1
six==1.10.0
xmltodict==0.9.2

## pycsw 2.0.0+dfsg

=== debian/changelog ===
pycsw (2.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Jul 2016 21:30:07 +0200

pycsw (2.0.0+dfsg-1~exp3) experimental; urgency=medium

  * Team upload.
  * Restructure binary packages, changes:
    - Make pycsw the main binary package, containing pycsw-admin,
      default-sample.cfg & examples.
    - Drop 'python-' prefix from -doc & -wsgi packages,
      turn old packages into transitional packages.
    - Use dh_apache2 to install pycsw.conf in /etc/apache2/conf-available,
      don't enable it via maintainer scripts.
  * Also build pycsw module for Python 3.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jul 2016 14:23:06 +0200

pycsw (2.0.0+dfsg-1~exp2) experimental; urgency=medium

  * Team upload.
  * Add patch to support overriding PYCSW_ROOT via environment variable.
    Fixes path to config files for tests installed by wsgi package.
  * Fix use jquery.js from libjs-jquery package.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jul 2016 01:01:32 +0200

pycsw (2.0.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update pycsw-admin manpage for upstream changes.
  * Include csw.py in python-pycsw-wsgi again.
    Was removed in 2.0.0~rc1+dfsg-1~exp1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Jul 2016 19:09:35 +0200

pycsw (2.0.0~rc1+dfsg-1~exp2) experimental; urgency=medium

  * Team upload.

  [ Angelos Tzotsos ]
  * Updated project description from upstream.

  [ Bas Couwenberg ]
  * Collapse double spaces in package descriptions,
    wrap lines at 75 characters.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jul 2016 03:09:31 +0200

pycsw (2.0.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Update copyright file, changes:
    - Update copyright years
    - Add copyright holders
    - Change license shortname from xmit to Expat
    - Add license & copyright for documentation
  * Update patches, changes:
    - Drop 0003-*.patch, obsolete.
    - Drop 0007-Use-geolinks-0.2.0.patch, included upstream.
    - Refresh remaining patches.
  * Use dh_installdocs to install doc-base file.
  * Override dh_install to use --list-missing.
  * Update WSGI script to install.
  * Add python-six & python-xmltodict to dependencies.
  * Update default.cfg for database rename.
  * Override dh_auto_test to use `paver test`.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jul 2016 02:54:23 +0200

pycsw (1.10.4+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add upstream metadata.

  [ Angelos Tzotsos ]
  * Added upstream 1.10.x patch to use geolinks 0.2.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Jun 2016 19:32:16 +0200

pycsw (1.10.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop libxml2-xee.patch, applied upstream. Refresh remaining patches.
  * Enable parallel builds.
  * Bump Standards-Version to 3.9.8, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 23:01:31 +0200

## pycsw 2.0.2+dfsg

=== debian/changelog ===
pycsw (2.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add patch to fix desktop file validation errors.

  [ Angelos Tzotsos ]
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Oct 2016 22:09:20 +0200

pycsw (2.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Angelos Tzotsos ]
  * New upstream release.
  * Removed pycsw-root patch after being included in 2.0.1.

  [ Bas Couwenberg ]
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Sep 2016 18:44:05 +0200

=== debian/control ===
Source: pycsw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
           Johan Van de Wauw <johan.vandewauw@gmail.com>
Section: non-free/python
Priority: optional
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-exec,
               dh-python,
               procps,
               python-all,
               python-geolinks,
               python-lxml,
               python-owslib,
               python-paver,
               python-pyproj,
               python-setuptools,
               python-shapely,
               python-six,
               python-sphinx,
               python-sqlalchemy,
               python-tz,
               python-xmltodict,
               python3-all,
               python3-geolinks,
               python3-lxml,
               python3-owslib,
               python3-pyproj,
               python3-setuptools,
               python3-shapely,
               python3-six,
               python3-sphinx,
               python3-sqlalchemy,
               python3-tz,
               python3-xmltodict,
               ruby-ronn
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pycsw.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pycsw.git
Homepage: http://pycsw.org
X-Python-Version: >= 2.5

Package: pycsw
Architecture: all
Section: non-free/web
Depends: pycsw-wsgi (= ${binary:Version}),
         python,
         python-pycsw (= ${binary:Version}),
         ${misc:Depends}
Breaks: python-pycsw (<< 2.0.0+dfsg-1~exp3),
        python-pycsw-wsgi (<< 2.0.0+dfsg-1~exp3)
Replaces: python-pycsw (<< 2.0.0+dfsg-1~exp3),
          python-pycsw-wsgi (<< 2.0.0+dfsg-1~exp3)
Suggests: pycsw-doc
Description: OGC compliant metadata (Catalogue service for the Web) server
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the pycsw-admin utility and configuration files.

Package: python-pycsw
Architecture: all
Depends: ${python:Depends},
         python-geolinks,
         python-lxml,
         python-owslib,
         python-pyproj,
         python-shapely,
         python-six,
         python-tz,
         python-xmltodict,
         ${misc:Depends}
Description: OGC compliant metadata (Catalogue service for the Web) server - Python 2
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package the pycsw module for Python 2.

Package: python3-pycsw
Architecture: all
Depends: ${python3:Depends},
         python3-geolinks,
         python3-lxml,
         python3-owslib,
         python3-pyproj,
         python3-shapely,
         python3-six,
         python3-tz,
         python3-xmltodict,
         ${misc:Depends}
Description: OGC compliant metadata (Catalogue service for the Web) server - Python 3
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package the pycsw module for Python 3.

Package: pycsw-wsgi
Architecture: all
Section: non-free/web
Depends: libapache2-mod-wsgi,
         libjs-jquery,
         python,
         python-pycsw (= ${binary:Version}),
         python-sqlalchemy,
         ${misc:Depends}
Recommends: ${misc:Recommends}
Breaks: python-pycsw-wsgi (<< 2.0.0+dfsg-1~exp3)
Replaces: python-pycsw-wsgi (<< 2.0.0+dfsg-1~exp3)
Description: WSGI Apache CSW service based on pycsw
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the Apache mod_wsgi scripts and tests.

Package: python-pycsw-wsgi
Architecture: all
Section: non-free/oldlibs
Priority: extra
Depends: pycsw (= ${binary:Version}),
         pycsw-wsgi (= ${binary:Version}),
         ${misc:Depends}
Description: Transitional dummy package to pycsw-wsgi
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package is a transitional package from python-pycsw-wsgi to pycsw-wsgi.
 It can safely be removed.

Package: pycsw-doc
Architecture: all
Section: non-free/doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Breaks: python-pycsw-doc (<< 2.0.0+dfsg-1~exp3)
Replaces: python-pycsw-doc (<< 2.0.0+dfsg-1~exp3)
Description: OGC compliant metadata (Catalogue Service for the Web) server - documentation
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the pycsw documentation.

Package: python-pycsw-doc
Architecture: all
Section: non-free/oldlibs
Priority: extra
Depends: pycsw-doc (= ${binary:Version}),
         ${misc:Depends}
Description: Transitional dummy package to pycsw-doc
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package is a transitional package from python-pycsw-doc to pycsw-doc.
 It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pycsw

%:
	dh  $@ --with python2,python3,sphinxdoc,apache2 --buildsystem pybuild --parallel

override_dh_clean:
	dh_clean debian/man/pycsw-admin.1 \
		 debian/man/pycsw-admin.1.html

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	ronn debian/man/pycsw-admin.md

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir} && PYTHONPATH={dir} paver test" \
	PYBUILD_AFTER_TEST="rm -rf {dir}/tests/results/" \
	PYBUILD_DISABLE=test/python3 \
	dh_auto_test || echo "Ignoring test failures"

override_dh_auto_install:
	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install

override_dh_install:
	dh_install --list-missing

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## pycsw 2.0.3%2Bdfsg

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
http://download.osgeo.org/pycsw/ \
pycsw-(\d.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycsw 2.0.3+dfsg

=== requirements.txt ===
geolinks==0.2.0
lxml==3.6.2
OWSLib==0.10.3
pyproj==1.9.3
Shapely==1.3.1
six==1.10.0
xmltodict==0.9.2

=== debian/changelog ===
pycsw (2.0.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix case in description.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 22:04:03 +0200

pycsw (2.0.3+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Angelos Tzotsos ]
  * New upstream release.

  [ Bas Couwenberg ]
  * Update copyright years for Tom Kralidis.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jun 2017 21:38:23 +0200

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                python3-tz,
                python3-xmltodict,
                ruby-ronn
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pycsw.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pycsw.git
 Homepage: http://pycsw.org
@@ -54,7 +54,7 @@
 Replaces: python-pycsw (<< 2.0.0+dfsg-1~exp3),
           python-pycsw-wsgi (<< 2.0.0+dfsg-1~exp3)
 Suggests: pycsw-doc
-Description: OGC compliant metadata (Catalogue service for the Web) server
+Description: OGC compliant metadata (Catalogue Service for the Web) server
  pycsw is an OGC CSW server implementation written in Python. pycsw fully
  implements the OpenGIS Catalogue Service Implementation Specification
  (Catalogue Service for the Web). Initial development started in 2010
@@ -81,7 +81,7 @@
          python-tz,
          python-xmltodict,
          ${misc:Depends}
-Description: OGC compliant metadata (Catalogue service for the Web) server - Python 2
+Description: OGC compliant metadata (Catalogue Service for the Web) server - Python 2
  pycsw is an OGC CSW server implementation written in Python. pycsw fully
  implements the OpenGIS Catalogue Service Implementation Specification
  (Catalogue Service for the Web). Initial development started in 2010
@@ -108,7 +108,7 @@
          python3-tz,
          python3-xmltodict,
          ${misc:Depends}
-Description: OGC compliant metadata (Catalogue service for the Web) server - Python 3
+Description: OGC compliant metadata (Catalogue Service for the Web) server - Python 3
  pycsw is an OGC CSW server implementation written in Python. pycsw fully
  implements the OpenGIS Catalogue Service Implementation Specification
  (Catalogue Service for the Web). Initial development started in 2010

## pycsw 2.2.0+dfsg

=== requirements.txt ===
geolinks==0.2.0
lxml==3.6.2
OWSLib==0.16.0
pyproj==1.9.5.1
Shapely==1.5.17
six==1.10.0
xmltodict==0.10.2

=== debian/changelog ===
pycsw (2.2.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.3.0, no changes.
  * Fix man page installation.
    (closes: #922995)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Feb 2019 21:42:35 +0100

pycsw (2.2.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:46:08 +0200

pycsw (2.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Refresh patches.
  * Add patch to fix SyntaxError with Python 3.7 by
    renaming 'async' property to 'asynchronous'.
    (closes: #903784)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Jul 2018 09:59:41 +0200

pycsw (2.2.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop obsolete get-orig-source target.
  * Drop ancient X-Python-Version field.
  * Strip trailing whitespace from control & rules files.
  * Update ronn build dependency.
  * Remove documentation outside usr/share/doc.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Jul 2018 22:57:06 +0200

pycsw (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to not use strict dependency on python-six.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Apr 2018 17:35:25 +0200

pycsw (2.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.3, changes: priority.
  * Strip trailing whitespace from changelog.
  * Update copyright-format URL to use HTTPS.
  * Update watch file to use HTTPS.
  * Drop obsolete lintian override.
  * Add Disclaimer to copyright file.
  * Update Vcs-* URLs for Salsa.
  * Add overrides for dependency-on-python-version-marked-for-end-of-life.
  * Remove empty directories.

  [ Johan Van de Wauw ]
  * New upstream version 2.2.0+dfsg
  * Refresh patches
  * Adjust renamed document file
  * Update copyright years
  * Refresh patches/Remove obsolete patches
  * Add python-mock as build-dependency
  * Update my mailaddress

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Apr 2018 13:24:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pycsw
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
-           Johan Van de Wauw <johan.vandewauw@gmail.com>
+           Johan Van de Wauw <johan@gisky.be>
 Section: non-free/python
 Priority: optional
 Build-Depends: apache2-dev,
@@ -13,6 +13,7 @@
                python-all,
                python-geolinks,
                python-lxml,
+               python-mock,
                python-owslib,
                python-paver,
                python-pyproj,
@@ -26,6 +27,7 @@
                python3-all,
                python3-geolinks,
                python3-lxml,
+               python3-mock,
                python3-owslib,
                python3-pyproj,
                python3-setuptools,
@@ -35,12 +37,11 @@
                python3-sqlalchemy,
                python3-tz,
                python3-xmltodict,
-               ruby-ronn
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pycsw.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pycsw.git
+               ronn
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycsw
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pycsw.git
 Homepage: http://pycsw.org
-X-Python-Version: >= 2.5
 
 Package: pycsw
 Architecture: all
@@ -153,7 +154,6 @@
 Package: python-pycsw-wsgi
 Architecture: all
 Section: non-free/oldlibs
-Priority: extra
 Depends: pycsw (= ${binary:Version}),
          pycsw-wsgi (= ${binary:Version}),
          ${misc:Depends}
@@ -198,7 +198,6 @@
 Package: python-pycsw-doc
 Architecture: all
 Section: non-free/oldlibs
-Priority: extra
 Depends: pycsw-doc (= ${binary:Version}),
          ${misc:Depends}
 Description: Transitional dummy package to pycsw-doc
@@ -216,4 +215,3 @@
  .
  This package is a transitional package from python-pycsw-doc to pycsw-doc.
  It can safely be removed.
-

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,14 @@
 	dh  $@ --with python2,python3,sphinxdoc,apache2 --buildsystem pybuild --parallel
 
 override_dh_clean:
-	dh_clean debian/man/pycsw-admin.1 \
-		 debian/man/pycsw-admin.1.html
+	dh_clean debian/man/pycsw-admin.1
 
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
 	ronn debian/man/pycsw-admin.md
+	mv debian/man/pycsw-admin.md.1 debian/man/pycsw-admin.1
+	rm -f debian/man/*.html
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
@@ -28,5 +29,11 @@
 override_dh_install:
 	dh_install --list-missing
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
+	# Remove empty directories
+	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/harvesting/data/
+	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/manager/data/
+
+	# Remove documentation outside usr/share/doc
+	$(RM) debian/*/usr/share/pycsw/tests/README.txt
+	$(RM) debian/*/usr/share/pycsw/tests/functionaltests/suites/apiso/data/README.txt
+	$(RM) debian/*/usr/share/pycsw/tests/functionaltests/suites/cite/data/README.txt

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
https://download.osgeo.org/pycsw/ \
pycsw-(\d.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pycsw 2.4.0+dfsg

=== debian/changelog ===
pycsw (2.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Switch to Python 3 only.
  * Drop obsolete Breaks/Replaces.
  * Drop obsolete transitional package.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Jul 2019 22:45:08 +0200

pycsw (2.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 09:56:44 +0200

pycsw (2.4.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Make ronn generated manpage renaming more robust.
  * Remove package name from lintian overrides.
  * Drop python-pycsw-doc transitional package.
    (closes: #926569)
  * Update copyright years for Tom Kralidis.
  * Drop patches applied upstream, refresh remaining patches.
  * Add apipkg & pytest build dependencies.
  * Remove additional empty directories.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 May 2019 21:18:16 +0200

=== debian/control ===
Source: pycsw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
           Johan Van de Wauw <johan@gisky.be>
Section: non-free/python
Priority: optional
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-exec,
               dh-python,
               procps,
               python3-all,
               python3-apipkg,
               python3-geolinks,
               python3-lxml,
               python3-mock,
               python3-owslib,
               python3-pyproj,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-timeout,
               python3-setuptools,
               python3-shapely,
               python3-six,
               python3-sphinx,
               python3-sqlalchemy,
               python3-tz,
               python3-xmltodict,
               ronn
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycsw
Vcs-Git: https://salsa.debian.org/debian-gis-team/pycsw.git
Homepage: http://pycsw.org

Package: pycsw
Architecture: all
Section: non-free/web
Depends: pycsw-wsgi (= ${binary:Version}),
         python3-pycsw (= ${binary:Version}),
         ${python3:Depends},
         ${misc:Depends}
Suggests: pycsw-doc
Description: OGC compliant metadata (Catalogue Service for the Web) server
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the pycsw-admin utility and configuration files.

Package: python3-pycsw
Architecture: all
Depends: python3-geolinks,
         python3-lxml,
         python3-owslib,
         python3-pyproj,
         python3-shapely,
         python3-six,
         python3-tz,
         python3-xmltodict,
         ${python3:Depends},
         ${misc:Depends}
Description: OGC compliant metadata (Catalogue Service for the Web) server - Python 3
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package the pycsw module for Python 3.

Package: pycsw-wsgi
Architecture: all
Section: non-free/web
Depends: libapache2-mod-wsgi,
         libjs-jquery,
         python3-pycsw (= ${binary:Version}),
         python3-sqlalchemy,
         ${python3:Depends},
         ${misc:Depends}
Recommends: ${misc:Recommends}
Description: WSGI Apache CSW service based on pycsw
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the Apache mod_wsgi scripts and tests.

Package: pycsw-doc
Architecture: all
Section: non-free/doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: OGC compliant metadata (Catalogue Service for the Web) server - documentation
 pycsw is an OGC CSW server implementation written in Python. pycsw fully
 implements the OpenGIS Catalogue Service Implementation Specification
 (Catalogue Service for the Web). Initial development started in 2010
 (more formally announced in 2011). The project is certified OGC Compliant,
 and is an OGC Reference Implementation. Since 2015, pycsw is an official
 OSGeo Project. pycsw allows for the publishing and discovery of geospatial
 metadata via numerous APIs (CSW 2/CSW 3, OpenSearch, OAI-PMH, SRU).
 Existing repositories of geospatial metadata can also be exposed,
 providing a standards-based metadata and catalogue component of spatial
 data infrastructures. pycsw is Open Source, released under an MIT license,
 and runs on all major platforms (Windows, Linux, Mac OS X).
 .
 This package contains the pycsw documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pycsw

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE := $(shell LC_ALL=C date -u "+%Y-%m-%d" -d "@$(SOURCE_DATE_EPOCH)")

%:
	dh  $@ --with python3,sphinxdoc,apache2 --buildsystem pybuild --parallel

override_dh_clean:
	dh_clean debian/man/pycsw-admin.1

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	ronn -r --date="$(BUILD_DATE)" --manual=pycsw debian/man/*.md
	for FILE in debian/man/*.md.1; do \
		mv -v $$FILE debian/man/`basename $$FILE .md.1`.1; \
	done
	rm -f debian/man/*.html

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir} && PYTHONPATH={dir} {interpreter} -m pytest -v -k 'not harvesting' tests/" \
	dh_auto_test || echo "Ignoring test failures"

override_dh_auto_install:
	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install

override_dh_install:
	dh_install --list-missing

	# Remove pycache directories
	$(RM) -r debian/*/usr/share/pycsw/tests/__pycache__/
	$(RM) -r debian/*/usr/share/pycsw/tests/functionaltests/__pycache__/
	$(RM) -r debian/*/usr/share/pycsw/tests/unittests/__pycache__/

	# Remove empty directories
	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/apiso/export/
	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/duplicatefileid/export/
	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/idswithpaths/export/

	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/harvesting/data/
	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/manager/data/

	# Remove documentation outside usr/share/doc
	$(RM) debian/*/usr/share/pycsw/tests/README.txt
	$(RM) debian/*/usr/share/pycsw/tests/functionaltests/suites/apiso/data/README.txt
	$(RM) debian/*/usr/share/pycsw/tests/functionaltests/suites/cite/data/README.txt

override_dh_python3:
	dh_python3
	dh_python3 -p pycsw-wsgi --shebang=/usr/bin/python3 /usr/share/pycsw

## pycsw 2.4.2%2Bdfsg

=== requirements.txt ===
geolinks
lxml
OWSLib
pyproj
Shapely
six
xmltodict

## pycsw 2.4.2+dfsg

=== debian/changelog ===
pycsw (2.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop Name field from upstream metadata.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Jan 2020 08:07:40 +0100

pycsw (2.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Drop removal of empty directories removed upstream.
  * Add patch to not require exact versions of dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Sep 2019 07:38:37 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                python3-tz,
                python3-xmltodict,
                ronn
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycsw
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pycsw.git
 Homepage: http://pycsw.org

=== debian/rules ===
--- 
+++ 
@@ -39,10 +39,6 @@
 	$(RM) -r debian/*/usr/share/pycsw/tests/unittests/__pycache__/
 
 	# Remove empty directories
-	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/apiso/export/
-	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/duplicatefileid/export/
-	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/idswithpaths/export/
-
 	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/harvesting/data/
 	rmdir debian/*/usr/share/pycsw/tests/functionaltests/suites/manager/data/

## pycsw 2.6.0+dfsg

=== debian/changelog ===
pycsw (2.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update copyright file.
  * Drop python3-six from (build) dependencies.
  * Drop patches applied/included upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Dec 2020 14:57:22 +0100

pycsw (2.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * No-change rebuild.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2020 19:41:16 +0200

pycsw (2.4.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Switch libapache2-mod-wsgi dependency to libapache2-mod-wsgi-py3.
    (closes: #966322)
  * Add lintian override for embedded-javascript-library.
  * Mark patches as Forwarded: not-needed.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jul 2020 20:18:47 +0200

pycsw (2.4.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with sphinx 2.4.
  * Reinstate pycsw-doc package.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 May 2020 06:16:30 +0200

pycsw (2.4.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop pycsw-doc package, FTBFS with sphinx 2.4.
    (closes: #959775)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2020 12:00:43 +0200

pycsw (2.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix SyntaxWarning issues with Python 3.8.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Don't rename manpages, not needed for ruby-ronn 0.9.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Apr 2020 17:06:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: non-free/python
 Priority: optional
 Build-Depends: apache2-dev,
-               debhelper (>= 9),
+               debhelper (>= 10~),
                dh-apache2,
                dh-exec,
                dh-python,
@@ -22,13 +22,12 @@
                python3-pytest-timeout,
                python3-setuptools,
                python3-shapely,
-               python3-six,
                python3-sphinx,
                python3-sqlalchemy,
                python3-tz,
                python3-xmltodict,
-               ronn
-Standards-Version: 4.4.1
+               ronn (>= 0.9.0)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycsw
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pycsw.git
 Homepage: http://pycsw.org
@@ -63,7 +62,6 @@
          python3-owslib,
          python3-pyproj,
          python3-shapely,
-         python3-six,
          python3-tz,
          python3-xmltodict,
          ${python3:Depends},
@@ -86,7 +84,7 @@
 Package: pycsw-wsgi
 Architecture: all
 Section: non-free/web
-Depends: libapache2-mod-wsgi,
+Depends: libapache2-mod-wsgi-py3,
          libjs-jquery,
          python3-pycsw (= ${binary:Version}),
          python3-sqlalchemy,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 BUILD_DATE := $(shell LC_ALL=C date -u "+%Y-%m-%d" -d "@$(SOURCE_DATE_EPOCH)")
 
 %:
-	dh  $@ --with python3,sphinxdoc,apache2 --buildsystem pybuild --parallel
+	dh  $@ --with python3,sphinxdoc,apache2 --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean debian/man/pycsw-admin.1
@@ -17,9 +17,6 @@
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
 	ronn -r --date="$(BUILD_DATE)" --manual=pycsw debian/man/*.md
-	for FILE in debian/man/*.md.1; do \
-		mv -v $$FILE debian/man/`basename $$FILE .md.1`.1; \
-	done
 	rm -f debian/man/*.html
 
 override_dh_auto_test:

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\

## pycsw 2.6.1+dfsg

=== requirements.txt ===
geolinks
lxml
OWSLib
pyproj
Shapely
xmltodict

=== debian/changelog ===
pycsw (2.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * No-change rebuild for binary upload.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Oct 2021 10:28:34 +0200

pycsw (2.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Angelos Tzotsos ]
  * New upstream release.
  * Fixed database path in default.cfg.
  * Fixed test generator config paths.
  * Set PYCSW_CONFIG in wsgi config file.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Drop undefined substitution variables.
  * Update doc-base paths.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Oct 2021 08:43:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: non-free/python
 Priority: optional
 Build-Depends: apache2-dev,
-               debhelper (>= 10~),
+               debhelper-compat (= 12),
                dh-apache2,
                dh-exec,
                dh-python,
@@ -27,7 +27,7 @@
                python3-tz,
                python3-xmltodict,
                ronn (>= 0.9.0)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pycsw
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pycsw.git
 Homepage: http://pycsw.org
@@ -37,7 +37,6 @@
 Section: non-free/web
 Depends: pycsw-wsgi (= ${binary:Version}),
          python3-pycsw (= ${binary:Version}),
-         ${python3:Depends},
          ${misc:Depends}
 Suggests: pycsw-doc
 Description: OGC compliant metadata (Catalogue Service for the Web) server

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
 
 	# Remove pycache directories
 	$(RM) -r debian/*/usr/share/pycsw/tests/__pycache__/
